# Configuration.
init:

    python:

        # The number of columns and rows of images to show in the
        # gallery.
        store.gallery_cols = 3
        store.gallery_rows = 4

        # The size that each image should be scaled to, and that
        # thumbnails should be.
        store.gallery_width = 160
        store.gallery_height = 120

        # The contents of each of the page. Each of these is a list of
        # tuples with the first component of the tuple being an image
        # filename and the second component being the name of the image
        # that will unlock the image with this filename. (That is,
        # the name that is used in show or scene statements, as a
        # string.)
        #
        # If the third element of the tuple exists, it's a filename
        # corresponding to this image, used for computing the
        # thumbnail by the method given below.
        # 
        #
        # The first component may consist of:
        # - A string, which is taken to be an image filename.
        # - A displayable, which is shown to the user.
        # - A tuple, which is used to display multiple of the above.
        # - A list, which is used to show things one after another.
        #
        # When displaying an image as a thumbnail, this code first
        # looks for the file thumbnail_<filename>. If that file
        # exists, it should be a gallery_width x gallery_height
        # thumbnail. Otherwise, a thumbnail is automatically
        # generated, but it may screw up the aspect ratio of the
        # image.
        #
        # You probably want to create thumbnails for most images, to
        # limit memory consumption.
        page1 = [
            ( "classroom.jpg", "bg classroom" ),
            ( "frontday.png", "bg front" ),
            ( "frontnight.png", "bg frontnight" ),
            ( "hallwayday.jpg", "bg hallwayday" ),
            ( "stairsday.png", "bg stairsday" ),
            ( "bedroomday.png", "bg bedroomday" ),
            ( "bedroomnight.png", "bg bedroomnight" ),
            ( "homeday.png", "bg homeday" ),
            ( "homenight.png", "bg homenight" ),
            ( "computer_lab.jpg", "bg computer lab" ),
            ( "officeday.png", "bg officeday" ),
            ( "officenight.png", "bg officenight" ),
            ( "grass.jpg", "bg grass" ),
            ]

        page2 = [
            ( "zoom.jpg", "hikaru zoom" ),
            ( "cooking1.jpg", "hikaru cooking" ),
            ( "hikaru_wind.jpg", "hikaru wind" ),
            ( "draw1.jpg", "hikaru draw" ),
            ( "draw2.jpg", "hikaru draw2" ),
            ( "hikaru_blush.jpg", "hikaru blush" ),
            ( "hikaru_glimpse.jpg", "hikaru glimpse" ),
            ( "hikaru_full.jpg", "hikaru full" ),
            ( "hikaru_cry.jpg", "hikaru cry" ),
            ]

        page3 = [
            ( "takashi_out.jpg", "takashi out" ),
            ( "takashi_hit.jpg", "takashi hit" ),
            ( "takashi_eat.jpg", "takashi eat" ),
            ( "takashi_kiss.jpg", "takashi kiss" ),
            ( "takashi_good.jpg", "takashi good" ),
            ( "takashi_bad.jpg", "takashi bad" ),
            ( "takashi_blink.jpg", "takashi blink" ),
            ( "takashi_intro.jpg", "takashi intro" ),
            ]   
            
            

        page4 = [
            ( "kazuma_blood.jpg", "kazuma blood" ),
            ( "kazuma_kiss.jpg", "kazuma kiss" ),
            ( "kazuma_kiss2.jpg", "kazuma kiss2" ),
            ( "kazuma_lift.jpg", "kazuma lift" ),
            ( "kazuma_focus.jpg", "kazuma focus" ),
            ( "kazuma_teach.jpg", "kazuma teach" ),
            ( "kazuma_protect.jpg", "kazuma protect" ),
            ]
            

        # This is the actual list of gallery pages. It's a list
        # of tuples, with the first element being the name of the
        # page, the second being the contents of the page (one of
        # the lists created above), and the third image being the
        # image used as the background of the page.
        store.gallery_pages = [
            ("Backgrounds", page1, "classroom.jpg"),
            ("Hikaru", page2, "classroom.jpg"),
            ("Takashi", page3, "classroom.jpg"),
            ("Kazuma", page4, "classroom.jpg"),
            ]

        # A window containing the gallery page buttons.
        style.gallery_pages.xpos = 0.99
        style.gallery_pages.xanchor='right'
        style.gallery_pages.ypos = 0.02
        style.gallery_pages.yanchor = 'top'

        # The button that returns people to the main menu.
        style.gallery_return_button.xpos = 0.99
        style.gallery_return_button.xanchor='right'
        style.gallery_return_button.ypos = 0.98
        style.gallery_return_button.yanchor = 'bottom'

        # Right now, the backgrounds are all solids, but in a more
        # professional version, the insensitive background would
        # probably be a placeholder image that indicates that a
        # picture has yet to be unlocked.        
        style.gallery_button.insensitive_background = "#ff0000"
        style.gallery_button.idle_background = "#fff000"
        style.gallery_button.hover_background = "#ffcc00"

        style.gallery_button.left_margin = 5
        style.gallery_button.right_margin = 5
        style.gallery_button.top_margin = 5
        style.gallery_button.bottom_margin = 5

        style.gallery_button.left_padding = 5
        style.gallery_button.right_padding = 5
        style.gallery_button.top_padding = 5
        style.gallery_button.bottom_padding = 5


        # The transition used when switching gallery pages.
        store.gallery_transition = Dissolve(0.5)
        
        


